%define	name	glaxium
%define	version	0.5
%define	release	8mdk
%define	Summary	OpenGL-based space-ship shoot'em up

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}_%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
URL:		http://xhosxe.free.fr/glaxium/
Patch0:		%{name}_0.5-fix-png-detect.patch.bz2
Patch1:		%{name}_0.5_gl.patch.bz2
Patch2:		%{name}_0.5-allow-running-when-dsp-busy.patch.bz2
Patch3:		%{name}_0.5_fix_stencil.patch.bz2
License:	GPL
Group:		Games/Arcade
BuildRequires:	autoconf2.5 SDL-devel SDL_mixer-devel MesaGLU-devel Mesa-common-devel png-devel
Buildrequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glaxium is an OpenGL-based space-ship "shoot-em-up" styled game. 
It is designed to provide the same feel as the old 2D   games of that 
type, but with 3D for the special effects. 

%prep
%setup -q -n %{name}_%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
aclocal
autoconf
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
%configure2_5x	--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
%{makeinstall} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="Glaxium" \
		longtitle="%{Summary}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt CHANGES.txt
%{_gamesbindir}/*
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_gamesdatadir}/*
%{_mandir}/*/*

%changelog
* Fri Aug 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-8mdk
- rebuild for new menu

* Fri Jun 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-7mdk
- rebuild

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-6mdk
- improve icons

* Fri Nov 21 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-5mdk
- use P1 from ALT Linux in stead to avoid segfault
- add P3 from ALT Linux
- cosmetics
- updated docs

* Wed Aug  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- remove double-quotes from longtitle to not mess with update-menus, thx
  Mark Draheim <rickscafe dot casablanca at gmx dot net>

* Fri Aug 01 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-3mdk
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- move binary to %%{_gamesbindir}
- use %%make macro
- updated url
- macroize
- added icon
- cosmetics
- dropped redundant buildrequires

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- buildrequires

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- new version
- patch0 integrated upstream, but still needs some patching for GL
  stuff :(
- allow running when dsp is busy (patch #2)
- fix buildrequires thx to stefan's robot
- provide manpage

* Tue Aug 27 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4a-1mdk
- new version

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3d-4mdk
- rebuild for new alsa

* Wed Feb 27 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3d-3mdk
- fix path of files

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3d-2mdk
- rebuild against new libpng

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3d-1mdk
- updated to 0.3d

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3b-2mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Mon Mar 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3b-1mdk
- updated to 0.3b

* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3a-1mdk
- upated to 0.3a

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- new in contribs
